classdef SCDclass_mdsparvectordouble < SCDclass_mdspar
    % A constant 1D vector real (double) MDS+ parameter
    
    properties
    end
    
    methods
        
        function obj=SCDclass_mdsparvectordouble(srctdimodel, destparam, varargin)
            obj@SCDclass_mdspar();
            % Constructor parser customization definitions here
            obj=obj.parseconstructor(srctdimodel, destparam, varargin);
            % Constructor parser customization results here
            obj.classname=class(obj);
            obj.marteclassname='MDSParVectorDbl';
        end
        
        function actualizedata(obj, shot)             
            obj=obj.preactualize(shot);
            if ~obj.actualizable, return; end
            obj.caststring=sprintf('%s=double(%s);',obj.assignvar,obj.assignvar);
            obj.postactualize(shot);
        end
        
        function [obj, value] = getdata(obj,shot)
              [obj,value]=getdata@SCDclass_mdspar(obj,shot);
              value=double(value);
        end
        
        function printinfo(obj)
            printinfo@SCDclass_mdspar(obj);
        end
        
        function entrystring = genMARTe2entry(obj, shot)
            entrystring=[obj.genMARTe2entrypreamble(shot) ' }'];
        end
        
        function out = casttomds(obj, in)
            out = double(in);
        end
    end
end

